btb-class |

# BetterListViewLayoutItems Members

BetterListViewLayoutItems overview

#### Public Instance Properties

AllowsExpandableItems | layout allows expand buttons on items
Center | Center items to the client area.
DirectionVertical | items are directed vertically
EmptyTextSize | item text size (when the text is empty)
ExpandButtonPadding | item expand button padding
CheckBoxPadding | item check box padding
ImageBorderColor | item image border color
ImageBorderThickness | item image border thickness
ImageBorderType | item image border style
ImageSize | Item image size.
ItemHeight | minimum item inner area height
ItemWidth | minimum item inner area width
MaximumTextLines | maximum allowed number of item text lines
SingleBoundary | there should be only single boundary between neighboring item selections
SubItemImageSizes | Sub-item image sizes.

#### Public Instance Methods

GetChildItemOffset | Overloaded. Get indentation (in pixels) of a child item.

#### Protected Instance Constructors

BetterListViewLayoutItems Constructor | Initializes a new instance of the BetterListViewLayoutItems class.

#### Protected Instance Methods

GetMaximumTextLines | Get maximum allowed number of text lines for the specified sub-item.
SetDefaultsInternal | Set default layout properties without calling OnPropertyChanged.

#### See Also

BetterListViewLayoutItems Class | ComponentOwl.BetterThumbnailBrowser Namespace